/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"
/*
uint32_t SysTickCnt = 0;

void SysTickIsrHandler(void)
{
	SysTickCnt ++;
}
*/

int main(void)
{
	//uint16_t i = 0;
	
	__enable_irq(); /* Enable global interrupts. */
	
    /* Enable CM4.  CY_CORTEX_M4_APPL_ADDR must be updated if CM4 memory layout is changed. */
    Cy_SysEnableCM4(CY_CORTEX_M4_APPL_ADDR); 

    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
	/*
	Cy_SysTick_Init(CY_SYSTICK_CLOCK_SOURCE_CLK_IMO,7999);

	for (i = 0u; i < CY_SYS_SYST_NUM_OF_CALLBACKS; ++i)
    {
        if (Cy_SysTick_GetCallback(i) == NULL)
        {
            
            Cy_SysTick_SetCallback(i, SysTickIsrHandler);
            break;
        }
    }
	*/
	
	
    for(;;)
    {
        /* Place your application code here. */
		/* CM0+ is not used after enabling CM4. CM0+ is put into Deep Sleep mode 
		to save power. CM0+ does not wake up from Deep Sleep mode */
        //Cy_SysPm_DeepSleep(CY_SYSPM_WAIT_FOR_INTERRUPT);

		/*
        if(SysTickCnt >= 500)
        {
        	SysTickCnt = 0;
			Cy_GPIO_Inv(LED_Green_P1_1_PORT,LED_Green_P1_1_NUM);
        }
		*/
    }
}

/* [] END OF FILE */
